services:
  mariadb:
    command:
    - mariadbd
    container_name: mariadb
    deploy:
      resources:
        limits:
          memory: 1073741824b
        reservations:
          memory: 536870912b
    entrypoint:
    - docker-entrypoint.sh
    environment:
      GOSU_VERSION: '1.17'
      LANG: C.UTF-8
      MARIADB_VERSION: 1:12.0.2+maria~ubu2404
      MYSQL_DATABASE: homeassistant
      MYSQL_PASSWORD: '***SENSITIVE_VALUE*** (your...)'
      MYSQL_ROOT_PASSWORD: '***SENSITIVE_VALUE*** (your...)'
      MYSQL_USER: homeassistant
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
    image: mariadb:latest
    ports:
    - 3306:3306/tcp
    restart: unless-stopped
    volumes:
    - /data/compose/5/mariadb-data:/var/lib/mysql:rw
